-- Macro Scripts File
-- Created:  June 14 2005
-- Modified  June 14 2005
-- Author:   John Schultz
-- nnPower Macros
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK

macroScript _ReApproxAndMakeEditable
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ReApproxAndMakeEditable Macro" 
			buttontext:"ReApproxAndMakeEditable" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ReApproxAndMakeEditable"
		) else (
			Pwr_Sketch.ReapproximateAndMakeEditable()		
		) -- if
	) -- on
) -- ms

macroScript _ToggleSketchVertexSelection
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchVertexSelection Macro" 
			buttontext:"ToggleSketchVertexSelection" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchVertexSelection"
		) else (
			Pwr_Sketch.ToggleSketchVertexSelection()		
		) -- if
	) -- on
) -- ms


macroScript _ToggleSketchEdgeSelection
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchEdgeSelection Macro" 
			buttontext:"ToggleSketchEdgeSelection" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchEdgeSelection"
		) else (
			Pwr_Sketch.ToggleSketchEdgeSelection()
		) -- if
	) -- on
) -- ms

macroScript _ToggleTangentHandleSelection
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleTangentHandleSelection Macro" 
			buttontext:"ToggleTangentHandleSelection" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleTangentHandleSelection"
		) else (
			Pwr_Sketch.ToggleTangentHandleSelection()
		) -- if
	) -- on
) -- ms

macroScript _MoveSelectedVerticesToSketchPlane
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"MoveSelectedVerticesToSketchPlane Macro" 
			buttontext:"" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:""
		) else (
			Pwr_Sketch.MoveSelectedVerticesToSketchPlane()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSketchControlPolyDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchControlPolyDisplay Macro" 
			buttontext:"ToggleSketchControlPolyDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchControlPolyDisplay"
		) else (
			Pwr_Sketch.ToggleSketchControlPolyDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSketchZHeightDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchZHeightDisplay Macro" 
			buttontext:"ToggleSketchZHeightDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchZHeightDisplay"
		) else (
			Pwr_Sketch.ToggleSketchZHeightDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSketchCurvatureDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchCurvatureDisplay Macro" 
			buttontext:"ToggleSketchCurvatureDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchCurvatureDisplay"
		) else (
			Pwr_Sketch.ToggleSketchCurvatureDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSketchKnotsDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchKnotsDisplay Macro" 
			buttontext:"ToggleSketchKnotsDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchKnotsDisplay"
		) else (
			Pwr_Sketch.ToggleSketchKnotsDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSketchInferencing
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSketchInferencing Macro" 
			buttontext:"ToggleSketchInferencing" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSketchInferencing"
		) else (
			Pwr_Sketch.ToggleSketchInferencing()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToLine
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToLine Macro" 
			buttontext:"SetEdgeTypeToLine" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToLine"
		) else (
			Pwr_Sketch.SetEdgeTypeToLine()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeTo3PointArc
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeTo3PointArc Macro" 
			buttontext:"SetEdgeTypeTo3PointArc" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeTo3PointArc"
		) else (
			Pwr_Sketch.SetEdgeTypeTo3PointArc()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToControlPointNURBS
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToControlPointNURBS Macro" 
			buttontext:"SetEdgeTypeToControlPointNURBS" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToControlPointNURBS"
		) else (
			Pwr_Sketch.SetEdgeTypeToControlPointNURBS()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToBlendCurve
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToBlendCurve Macro" 
			buttontext:"SetEdgeTypeToBlendCurve" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToBlendCurve"
		) else (
			Pwr_Sketch.SetEdgeTypeToBlendCurve()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToBezier
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToBezier Macro" 
			buttontext:"SetEdgeTypeToBezier" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
    on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToBezier"
		) else (
			Pwr_Sketch.SetEdgeTypeToBezier()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToCircularArc
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToCircularArc Macro" 
			buttontext:"SetEdgeTypeToCircularArc" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToCircularArc"
		) else (
			Pwr_Sketch.SetEdgeTypeToCircularArc()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToCircle
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToCircle Macro" 
			buttontext:"SetEdgeTypeToCircle" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToCircle"
		) else (
			Pwr_Sketch.SetEdgeTypeToCircle()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToApproximatingCurve
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToApproximatingCurve Macro" 
			buttontext:"SetEdgeTypeToApproximatingCurve" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToApproximatingCurve"
		) else (
			Pwr_Sketch.SetEdgeTypeToApproximatingCurve()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToDrawnCurve
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToDrawnCurve Macro" 
			buttontext:"SetEdgeTypeToDrawnCurve" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToDrawnCurve"
		) else (
			Pwr_Sketch.SetEdgeTypeToDrawnCurve()
		) -- if
	) -- on
) -- ms

macroScript _SetEdgeTypeToFilletCurve
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetEdgeTypeToFilletCurve Macro" 
			buttontext:"SetEdgeTypeToFilletCurve" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetEdgeTypeToFilletCurve"
		) else (
			Pwr_Sketch.SetEdgeTypeToFilletCurve()
		) -- if
	) -- on
) -- ms

-- Begin BOSOPoint

macroScript _ToggleResultsSubObjectDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleResultsSubObjectDisplay Macro" 
			buttontext:"ToggleResultsSubObjectDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleResultsSubObjectDisplay"
		) else (
			Pwr_Sketch.ToggleResultsSubObjectDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSubObjectOperand
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSubObjectOperand Macro" 
			buttontext:"ToggleSubObjectOperand" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSubObjectOperand"
		) else (
			Pwr_Sketch.ToggleSubObjectOperand()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSurfaceCurvatureDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSurfaceCurvatureDisplay Macro" 
			buttontext:"ToggleSurfaceCurvatureDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSurfaceCurvatureDisplay"
		) else (
			Pwr_Sketch.ToggleSurfaceCurvatureDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleSurfaceKnotsDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleSurfaceKnotsDisplay Macro" 
			buttontext:"ToggleSurfaceKnotsDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleSurfaceKnotsDisplay"
		) else (
			Pwr_Sketch.ToggleSurfaceKnotsDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleMeanCurvatureDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleMeanCurvatureDisplay Macro" 
			buttontext:"ToggleMeanCurvatureDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleMeanCurvatureDisplay"
		) else (
			Pwr_Sketch.ToggleMeanCurvatureDisplay()
		) -- if
	) -- on
) -- ms

macroScript _ToggleGaussCurvatureDisplay
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"ToggleGaussCurvatureDisplay Macro" 
			buttontext:"ToggleGaussCurvatureDisplay" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"ToggleGaussCurvatureDisplay"
		) else (
			Pwr_Sketch.ToggleGaussCurvatureDisplay()
		) -- if
	) -- on
) -- ms

macroScript _SetViewpointMeshToCoarse
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetViewpointMeshToCoarse Macro" 
			buttontext:"SetViewpointMeshToCoarse" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetViewpointMeshToCoarse"
		) else (
			Pwr_Sketch.SetViewpointMeshToCoarse()
		) -- if
	) -- on
) -- ms

macroScript _SetViewpointMeshToMedium
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetViewpointMeshToMedium Macro" 
			buttontext:"SetViewpointMeshToMedium" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetViewpointMeshToMedium"
		) else (
			Pwr_Sketch.SetViewpointMeshToMedium()
		) -- if
	) -- on
) -- ms

macroScript _SetViewpointMeshToFine
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"SetViewpointMeshToFine Macro" 
			buttontext:"SetViewpointMeshToFine" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or Brep Object(s) first" Title:"SetViewpointMeshToFine"
		) else (
			Pwr_Sketch.SetViewpointMeshToFine()
		) -- if
	) -- on
) -- ms


macroScript _ToModifierMode
			category:"nPower Macro Functions" 
			internalcategory:"nPower Macro Functions" 
			tooltip:"To Modifier Mode Macro" 
			buttontext:"To Modifier Mode" 
--            Icon:#("PowerSolids",9)
(
	on isEnabled return ( selection.count > 0 and SuperClassof selection[1].baseobject == GeometryClass )
	on execute do (
		if SuperClassof $ != GeometryClass then (
			MessageBox "Please Select Sketch or NURBS Object(s) first" Title:"ToModifierMode"
		) else (
			Pwr_Sketch.ToModifierMode()
		) -- if
	) -- on
) -- ms
