-- Macro Scripts File
-- Created:  Jan 1 1999
-- Modified  March 2 1999
-- Author:   Frank DeLise
-- Macro Scripts for Compound Objects
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK

macroScript Pwr_EditNRB
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_EditNRB - Editable NURBS Brep Object" 
            buttontext:"Pwr_EditNRB" 
            Icon:#("PowerSolids",9)
(
    on execute do (
        If SuperClassof $ != GeometryClass then
	(
	MessageBox "Please Select an Object first " Title:"Pwr_EditNRB"
	)
	Else 
	(
	StartObjectCreation Pwr_EditNRB
	max modify mode
	)
    )
   on isChecked return (mcrUtils.IsCreating Pwr_EditNRB)
   on isEnabled return not (SuperClassof $ != GeometryClass )

)


macroScript Pwr_Join 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Join - NURBS Join Object" 
            buttontext:"Pwr_Join" 
            Icon:#("PowerNurbs",18)
(
   on isEnabled return (
       selection.count > 0 and 
	   SuperClassof selection[1].baseobject == GeometryClass 
	   )
    on execute do (
	StartObjectCreation Pwr_Join
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Join)
)

macroScript Pwr_NURBS 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_NURBS NURBS Brep Group Editing Object" 
            buttontext:"Pwr_NURBS" 
            Icon:#("PowerSolids",13)
(
    on execute do (
	StartObjectCreation Pwr_NURBS
    )
   on isChecked return (mcrUtils.IsCreating Pwr_NURBS)
)



macroScript Pwr_Assembly 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Assembly Assembly Object" 
            buttontext:"Pwr_Assembly" 
            Icon:#("PowerSolids",12)
(
  on isEnabled return (
       selection.count > 0 and 
	   SuperClassof selection[1].baseobject == GeometryClass 
	   )

    on execute do (
  	    StartObjectCreation Pwr_Assembly
	)
   on isChecked return (mcrUtils.IsCreating Pwr_Assembly)
)


macroScript Pwr_Shell 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Shell Shell and Offset Object" 
            buttontext:"Pwr_Shell" 
            Icon:#("PowerSolids",11)
(
    on execute do (
        If SuperClassof $ != GeometryClass then
	(
	MessageBox "Please Select an Object first " Title:"Pwr_Shell"
	)
	Else 
	(
	StartObjectCreation Pwr_Shell
	max modify mode
	)
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Shell)
   on isEnabled return not (SuperClassof $ != GeometryClass )

)


macroScript Pwr_Fillet 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Fillet NURBS Brep Filleting Object" 
            buttontext:"Pwr_Fillet" 
            Icon:#("PowerSolids",10)
(
    on execute do (
        If SuperClassof $ != GeometryClass then
	(
	MessageBox "Please Select an Object first " Title:"Pwr_Boolean"
	)
	Else 
	(
	StartObjectCreation Pwr_Fillet
	max modify mode
	)
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Fillet)
   on isEnabled return not (SuperClassof $ != GeometryClass )

)


macroScript Pwr_Skin 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Skin NURBS Skinning Object" 
            buttontext:"Pwr_Skin" 
            Icon:#("PowerSolids",4)
(
   on isEnabled return (
       selection.count > 0 
	   )
    on execute do (
	StartObjectCreation Pwr_Skin
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Skin)
)


macroScript Pwr_Sweep 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Sweep NURBS Sweeping Object" 
            buttontext:"Pwr_Sweep" 
            Icon:#("PowerSolids",3)
(
   on isEnabled return (
       selection.count > 0 
	   )

    on execute do (
	StartObjectCreation Pwr_Sweep
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Sweep)
)


macroScript Pwr_Extrude 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Extrude NURBS Extrude Object" 
            buttontext:"Pwr_Extrude" 
            Icon:#("PowerSolids",1)
(
   on isEnabled return (
       selection.count > 0 
	   )

   on execute do (
      StartObjectCreation Pwr_Extrude
   )
   on isChecked return (mcrUtils.IsCreating Pwr_Extrude)
)

macroScript Pwr_Revolve 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Revolve NURBS Revolve Object" 
            buttontext:"Pwr_Revolve" 
            Icon:#("PowerSolids",2)
(
   on isEnabled return (
       selection.count > 0 
	   )
    on execute do (
	StartObjectCreation Pwr_Revolve
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Revolve)
)


macroScript Pwr_Boolean 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Boolean NURBS Boolean Object" 
            buttontext:"Pwr_Boolean" 
            Icon:#("PowerSolids",8)
(
    on execute do (
        If SuperClassof $ != GeometryClass then
	(
	MessageBox "Please Select an Object first " Title:"Pwr_Boolean"
	)
	Else 
	(
	StartObjectCreation Pwr_Boolean
	)
   )
   on isChecked return (mcrUtils.IsCreating Pwr_Boolean)
   on isEnabled return not (SuperClassof $ != GeometryClass )

)


macroScript Pwr_Swung 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Swung NURBS Swung Object" 
            buttontext:"Pwr_Swung" 
  	    Icon:#("PowerSolids",5)
(
   on isEnabled return (
       selection.count == 1 
	   )
    on execute do (
	StartObjectCreation Pwr_Swung
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Swung)
)

macroScript Pwr_Pipe 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Pipe NURBS Pipe Object" 
            buttontext:"Pwr_Pipe" 
            Icon:#("PowerSolids",6)
(
   on isEnabled return (
       selection.count > 0 
	   )
    on execute do (
	StartObjectCreation Pwr_Pipe
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Pipe)
)

macroScript Pwr_Planar 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Planar NURBS Planar Object" 
            buttontext:"Pwr_Planar" 
            Icon:#("PowerSolids",7)
(
   on isEnabled return (
       selection.count > 0 
	   )
   on execute do (
      StartObjectCreation Pwr_Planar
   )
   on isChecked return (mcrUtils.IsCreating Pwr_Planar)
)

