-- Macro Scripts File
-- Created:  Jan 1 1999
-- Modified  March 2 1999
-- Author:   Frank DeLise
-- Macro Scripts for Compound Objects
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK


macroScript Pwr_XCurve 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_XCurve Intersection Curve Sketch" 
            buttontext:"Pwr_XCurve" 
			Icon:#("PowerNurbs",21)
(
    on execute do (
	StartObjectCreation Pwr_XCurve
    )
   on isChecked return (mcrUtils.IsCreating Pwr_XCurve)
)

macroScript Pwr_CmpSkt 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_CmpSkt Composite Sketch" 
            buttontext:"Pwr_CmpSkt" 
			Icon:#("PowerNurbs",16)
(
    on execute do (
	StartObjectCreation Pwr_CmpSkt
    )
   on isChecked return (mcrUtils.IsCreating Pwr_CmpSkt)
)

macroScript Pwr_FaceSkt 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_FaceSkt Face Sketch" 
            buttontext:"Pwr_FaceSkt" 
			Icon:#("PowerNurbs",22)
(
    on execute do (
	StartObjectCreation Pwr_FaceSkt
    )
    on isChecked return (mcrUtils.IsCreating Pwr_FaceSkt)
)



macroScript Pwr_OffSkt 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_OffSkt Offset Sketch" 
            buttontext:"Pwr_CffSketch" 
			Icon:#("PowerNurbs",17)
(
    on execute do (
	StartObjectCreation Pwr_OffSkt
    )
   on isChecked return (mcrUtils.IsCreating Pwr_OffSkt)
)

macroScript Pwr_Sketch 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Sketch Object" 
            buttontext:"Pwr_Sketch" 
			Icon:#("PowerNurbs",10)
(
    on execute do (
	StartObjectCreation Pwr_Sketch
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Sketch)
)


macroScript Pwr_Box 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Box Object" 
            buttontext:"Pwr_Box" 
            Icon:#("PowerNurbs",26)
(
    on execute do (
	StartObjectCreation Pwr_Box
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Box)
)

macroScript Pwr_Cylinder 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Cylinder Object" 
            buttontext:"Pwr_Cylinder" 
            Icon:#("PowerNurbs",25)
(
    on execute do (
	StartObjectCreation Pwr_Cylinder
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Cylinder)
)

macroScript Pwr_Sphere 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Sphere Object" 
            buttontext:"Pwr_Sphere" 
            Icon:#("PowerNurbs",24)
(
    on execute do (
	StartObjectCreation Pwr_Sphere
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Sphere)
)



macroScript Pwr_Plane 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Plane Object" 
            buttontext:"Pwr_Plane" 
            Icon:#("PowerNurbs",27)
(
    on execute do (
	StartObjectCreation Pwr_Plane
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Plane)
)

macroScript Pwr_Rect 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Rect Object" 
            buttontext:"Pwr_Rect" 
            Icon:#("PowerNurbs",29)
(
    on execute do (
	StartObjectCreation Pwr_Rect
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Rect)
)

macroScript Pwr_Circle 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Circle Object" 
            buttontext:"Pwr_Circle" 
            Icon:#("PowerNurbs",28)
(
    on execute do (
	StartObjectCreation Pwr_Circle
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Circle)
)


 macroScript Pwr_Tube 
            category:"nPower Tools" 
            internalcategory:"nPower Bonus Tools" 
            tooltip:"Pwr_Tube NURBS Tube Object" 
            buttontext:"Pwr_Tube" 
			Icon:#("PowerNurbs",30)
(
    on execute do (
	StartObjectCreation Pwr_Tube
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Tube)
)

 macroScript Pwr_2D_Bool 
            category:"nPower Tools" 
            internalcategory:"nPower Bonus Tools" 
            tooltip:"Pwr_2D_Bool - 2-D Sketch Boolean" 
            buttontext:"Pwr_2D_Bool" 
			Icon:#("PowerNurbs",31)
(
   on isEnabled return (
       selection.count > 0 
	   )

    on execute do (
	StartObjectCreation Pwr_2D_Bool
    )
   on isChecked return (mcrUtils.IsCreating Pwr_2D_Bool)
)

 macroScript Pwr_Offset 
            category:"nPower Tools" 
            internalcategory:"nPower Bonus Tools" 
            tooltip:"Pwr_Offset - Surface Offset Object" 
            buttontext:"Pwr_Offset" 
			Icon:#("PowerNurbs",32)
(
   on isEnabled return (
       selection.count > 0 and 
	   SuperClassof selection[1].baseobject == GeometryClass 
	   )

    on execute do (
	StartObjectCreation Pwr_Offset
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Offset)
)

 macroScript Pwr_BlndCrv 
            category:"nPower Tools" 
            internalcategory:"nPower Bonus Tools" 
            tooltip:"Pwr_BlndCrv - Blend Curve Object" 
            buttontext:"Pwr_BlndCrv" 
			Icon:#("PowerNurbs",33)
(
    on execute do (
	StartObjectCreation Pwr_BlndCrv
    )
   on isChecked return (mcrUtils.IsCreating Pwr_BlndCrv)
)

 macroScript Pwr_Project 
            category:"nPower Tools" 
            internalcategory:"nPower Bonus Tools" 
            tooltip:"Pwr_Project - Curve Projection" 
            buttontext:"Pwr_Project" 
			Icon:#("PowerNurbs",34)
(
   on isEnabled return (
       selection.count > 0 and 
	   SuperClassof selection[1].baseobject == GeometryClass 
	   )

    on execute do (
	StartObjectCreation Pwr_Project
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Project)
)






macroScript Pwr_Blend 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Blend NURBS Blend Object" 
            buttontext:"Pwr_Blend" 
            Icon:#("PowerNurbs",2)
(
    on execute do (
	StartObjectCreation Pwr_Blend
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Blend)
)

macroScript Pwr_Bevel 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Bevel Surface Beveling Object" 
            buttontext:"Pwr_Bevel" 
            Icon:#("PowerNurbs",5)
(
    on execute do (
	StartObjectCreation Pwr_Bevel
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Bevel)
)



macroScript Pwr_CrnrBlnd 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_CrnrBlnd NURBS Corner Blend Object" 
            buttontext:"Pwr_CrnrBlnd" 
            Icon:#("PowerNurbs",19)
(
    on execute do (
	StartObjectCreation Pwr_CrnrBlnd
    )
   on isChecked return (mcrUtils.IsCreating Pwr_CrnrBlnd)
)



macroScript Pwr_RailSwp 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_RailSwp NURBS Rail Sweep Object" 
            buttontext:"Pwr_RailSwp" 
            Icon:#("PowerNurbs",1)
(
    on execute do (
	StartObjectCreation Pwr_RailSwp
    )
   on isChecked return (mcrUtils.IsCreating Pwr_RailSwp)
)

macroScript Pwr_Cutter
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Cutter NURBS Brep Cutter Object" 
            buttontext:"Pwr_Cutter" 
            Icon:#("PowerNurbs",9)
(
    on execute do (
	StartObjectCreation Pwr_Cutter
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Cutter)
)

macroScript Pwr_Trim
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Trim NURBS Brep Trimming Object" 
            buttontext:"Pwr_Trim" 
            Icon:#("PowerNurbs",23)
(
   on isEnabled return (
       selection.count > 0 and 
	   SuperClassof selection[1].baseobject == GeometryClass 
	   )

    on execute do (
	StartObjectCreation Pwr_Trim
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Trim)
)



macroScript Pwr_HelixSwp 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_HelixSwp NURBS Helix Sweep Object" 
            buttontext:"Pwr_HelixSwp" 
            Icon:#("PowerNurbs",8)
(
    on execute do (
	StartObjectCreation Pwr_HelixSwp
    )
   on isChecked return (mcrUtils.IsCreating Pwr_HelixSwp)
)

macroScript Pwr_SrfFillet 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_SrfFillet NURBS Surface Fillet Object" 
            buttontext:"Pwr_SrfFillet" 
            Icon:#("PowerNurbs",6)
(
    on execute do (
	StartObjectCreation Pwr_SrfFillet
    )
   on isChecked return (mcrUtils.IsCreating Pwr_SrfFillet)
)

macroScript Pwr_FaceEdit 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_FaceEdit NURBS Face Editing Object" 
            buttontext:"Pwr_FaceEdit" 
            Icon:#("PowerNurbs",7)
(
    on execute do (
	StartObjectCreation Pwr_FaceEdit
    )
   on isChecked return (mcrUtils.IsCreating Pwr_FaceEdit)
)

macroScript Pwr_IsoCurve 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_IsoCurve NURBS Iso-Curve Sketch" 
            buttontext:"Pwr_IsoCurve" 
            Icon:#("PowerNurbs",11)
(
    on execute do (
	StartObjectCreation Pwr_IsoCurve
    )
   on isChecked return (mcrUtils.IsCreating Pwr_IsoCurve)
)


macroScript Pwr_Detailer 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Detailer NURBS Detailer Object" 
            buttontext:"Pwr_Detailer" 
            Icon:#("PowerNurbs",14)
(
   on isEnabled return (
       selection.count > 0 and 
	   SuperClassof selection[1].baseobject == GeometryClass 
	   )

    on execute do (
	StartObjectCreation Pwr_Detailer
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Detailer)
)


macroScript Pwr_Surface
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_Surface NURBS Surface Grouping Object" 
            buttontext:"Pwr_Surface" 
            Icon:#("PowerNurbs",15)
(
    on execute do (
	StartObjectCreation Pwr_Surface
    )
   on isChecked return (mcrUtils.IsCreating Pwr_Surface)
)

macroScript Pwr_EditSkt 
            category:"nPower Tools" 
            internalcategory:"nPower Tools" 
            tooltip:"Pwr_EditSkt Editable Sketch Object" 
            buttontext:"Pwr_EditSkt" 
            Icon:#("PowerNurbs",12)
(
    on execute do (
	StartObjectCreation Pwr_EditSkt
    )
   on isChecked return (mcrUtils.IsCreating Pwr_EditSkt)
)



